Subject: Re: [PATCH v2 1/2] sched: Add cond_resched_rcu_lock() helper

From: Peter Zijlstra <[email-masked]>
Date: Wed, 1 May 2013 18:57:49 +0200

On Wed, May 01, 2013 at 09:02:18AM -0700, Paul E. McKenney wrote:
> My guess would be for the case where sched_preempt_enable_no_resched()
> is followed some time later by cond_resched().

I might hope not.. preempt_enable_no_resched() is nasty and you're likely to be
hit with a frozen fish of sorts by tglx if you try to use it ;-)